# Get portfolio account actions Endpoint: GET /portfolio/account/{AccountIdentifier}/actions Version: 1.0.0-beta Security: bearerToken ## Path parameters: - `AccountIdentifier` (string, required) Account identifier Example: "098B0A25" ## Response 200 fields (application/json): - `actions` (array) - `actions.fieldName` (string) Denotes how the transaction was initiated. Example: "batchType" - `actions.label` (string) Description of the fieldName. Example: "Batch type" - `actions.defaultValue` (string) Denotes the type of transaction. Example: "CBL SIP Deposit" - `actions.required` (boolean) Example: true - `actions.values` (array) - `actions.values.value` (string) Value associated with the transaction. Example: "100" - `actions.values.name` (string) Description of the transaction type. Example: "CBL SIP Deposit" - `actions.values.dependencies` (array) Example: "project, market etc." ## Response 400 fields (application/json): - `code` (string) Enum: "INVALID_REQUEST" - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string)